loci.formats.in.LeicaMicrosystemsMetadata

## Enum LMSFileReader.ImageFormat

- java.lang.Object
- - java.lang.Enum<LMSFileReader.ImageFormat>
  - - loci.formats.in.LeicaMicrosystemsMetadata.LMSFileReader.ImageFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LMSFileReader.ImageFormat>
  Enclosing class:
    LMSFileReader

      public static enum LMSFileReader.ImageFormat
      extends java.lang.Enum<LMSFileReader.ImageFormat>

  file format in which actual image bytes are stored

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BMP`
    `JPEG`
    `LOF`
    `PNG`
    `TIF`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LMSFileReader.ImageFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LMSFileReader.ImageFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOF

          public static final LMSFileReader.ImageFormat LOF

    - #### TIF

          public static final LMSFileReader.ImageFormat TIF

    - #### BMP

          public static final LMSFileReader.ImageFormat BMP

    - #### JPEG

          public static final LMSFileReader.ImageFormat JPEG

    - #### PNG

          public static final LMSFileReader.ImageFormat PNG

    - #### UNKNOWN

          public static final LMSFileReader.ImageFormat UNKNOWN

  - ### Method Detail

    - #### values

          public static LMSFileReader.ImageFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LMSFileReader.ImageFormat c : LMSFileReader.ImageFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LMSFileReader.ImageFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2026 Open Microscopy Environment